
.ligne {
    border: none;
    height: 1px;
    background-color: #b5ab8f; /* gris clair */
    margin: 0px 60px 70px 60px; /* marge haut/bas */
}


h2{
    
    margin-bottom:40px;
    color:white;
     font-size: 2rem;
    font-weight: 400;
    font-family: "Montserrat", sans-serif;
    margin-top:15px;
}


.pav {
    
    margin: 100px 100px  ;
    
    
    
}

body {
    
            font-family: "Montserrat", sans-serif;
            margin: 40px;
            background-color: #a09c72; 
        }
        h1, h2, h3 {
            color: #333;
        }
        pre {
            background: #222;
            color: #0f0;
            padding: 10px;
            overflow-x: auto;
        }
        code {
            color: #0f0;
        }
        .container {
            background-color: rgba(241, 234, 183, 1);
            padding: 20px;
            border-radius: 8px;
}

pre.code-block {
   /*display: inline-block;   ne prend que la place du contenu */
  max-width: 600px;         /* évite de dépasser sur petits écrans */
  background: #111;
  border-radius: 20px;
  color: #0f0;
  padding: 8px 12px;
  overflow-x: auto;        /* si le code est trop long, scroll horizontal */
}


.image-texte {                /*paramètres image et texte côte à côte*/
  display: flex;
  align-items: center; /* aligne verticalement */
  gap: 100px;           /* espace entre image et texte */
}

.image-texte img {
  width: 400 px;        /* ou la taille que tu veux */
  height: auto;
  box-shadow: 0 0 8px black;
}